petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorGetMatSolverPackage

gets the software that is used to perform the factorization

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorGetMatSolverPackage(PC pc,const MatSolverPackage *stype)

Not Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

stype -for example, superlu, superlu_dist (NULL if the PC does not have a solver package) Many br

Many br

### Keywords

PC, set, factorization, direct, fill

### See Also

MatGetFactor(), MatSolverPackage, PCFactorGetMatSolverPackage()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages